Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class LinkedDataRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.LinkedDataRecord

public class LinkedDataRecord
extends Record

Describes a linked data record. This record referes to the series data or text. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static byte` | `LINK_TYPE_CATEGORIES`
`static byte` | `LINK_TYPE_TITLE_OR_TEXT`
`static byte` | `LINK_TYPE_VALUES`
`static byte` | `REFERENCE_TYPE_DEFAULT_CATEGORIES`
`static byte` | `REFERENCE_TYPE_DIRECT`
`static byte` | `REFERENCE_TYPE_ERROR_REPORTED`
`static byte` | `REFERENCE_TYPE_NOT_USED`
`static byte` | `REFERENCE_TYPE_WORKSHEET`
`static short` | `sid`

Constructor Summary
`LinkedDataRecord()`
`LinkedDataRecord(short id, short size, byte[] data)` Constructs a LinkedData record and sets its fields appropriately.
`LinkedDataRecord(short id, short size, byte[] data, int offset)` Constructs a LinkedData record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`LinkedDataFormulaField` | `getFormulaOfLink()` Get the formula of link field for the LinkedData record.
`short` | `getIndexNumberFmtRecord()` Get the index number fmt record field for the LinkedData record.
`byte` | `getLinkType()` Get the link type field for the LinkedData record.
`short` | `getOptions()` Get the options field for the LinkedData record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`byte` | `getReferenceType()` Get the reference type field for the LinkedData record.
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isCustomNumberFormat()` true if this object has a custom number format
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setCustomNumberFormat(boolean value)` Sets the custom number format field value.
`void` | `setFormulaOfLink(LinkedDataFormulaField field_5_formulaOfLink)` Set the formula of link field for the LinkedData record.
`void` | `setIndexNumberFmtRecord(short field_4_indexNumberFmtRecord)` Set the index number fmt record field for the LinkedData record.
`void` | `setLinkType(byte field_1_linkType)` Set the link type field for the LinkedData record.
`void` | `setOptions(short field_3_options)` Set the options field for the LinkedData record.
`void` | `setReferenceType(byte field_2_referenceType)` Set the reference type field for the LinkedData record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### LINK_TYPE_TITLE_OR_TEXT

    public static final byte LINK_TYPE_TITLE_OR_TEXT

See Also:
  Constant Field Values

### LINK_TYPE_VALUES

    public static final byte LINK_TYPE_VALUES

See Also:
  Constant Field Values

### LINK_TYPE_CATEGORIES

    public static final byte LINK_TYPE_CATEGORIES

See Also:
  Constant Field Values

### REFERENCE_TYPE_DEFAULT_CATEGORIES

    public static final byte REFERENCE_TYPE_DEFAULT_CATEGORIES

See Also:
  Constant Field Values

### REFERENCE_TYPE_DIRECT

    public static final byte REFERENCE_TYPE_DIRECT

See Also:
  Constant Field Values

### REFERENCE_TYPE_WORKSHEET

    public static final byte REFERENCE_TYPE_WORKSHEET

See Also:
  Constant Field Values

### REFERENCE_TYPE_NOT_USED

    public static final byte REFERENCE_TYPE_NOT_USED

See Also:
  Constant Field Values

### REFERENCE_TYPE_ERROR_REPORTED

    public static final byte REFERENCE_TYPE_ERROR_REPORTED

See Also:
  Constant Field Values

Constructor Detail

### LinkedDataRecord

    public LinkedDataRecord()

### LinkedDataRecord

    public LinkedDataRecord(short id,
                            short size,
                            byte[] data)

  Constructs a LinkedData record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1051 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### LinkedDataRecord

    public LinkedDataRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a LinkedData record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1051 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getLinkType

    public byte getLinkType()

  Get the link type field for the LinkedData record.

  Returns:
    One of LINK_TYPE_TITLE_OR_TEXT LINK_TYPE_VALUES LINK_TYPE_CATEGORIES

### setLinkType

    public void setLinkType(byte field_1_linkType)

  Set the link type field for the LinkedData record.

  Parameters:
    `field_1_linkType` - One of LINK_TYPE_TITLE_OR_TEXT LINK_TYPE_VALUES LINK_TYPE_CATEGORIES

### getReferenceType

    public byte getReferenceType()

  Get the reference type field for the LinkedData record.

  Returns:
    One of REFERENCE_TYPE_DEFAULT_CATEGORIES REFERENCE_TYPE_DIRECT REFERENCE_TYPE_WORKSHEET REFERENCE_TYPE_NOT_USED REFERENCE_TYPE_ERROR_REPORTED

### setReferenceType

    public void setReferenceType(byte field_2_referenceType)

  Set the reference type field for the LinkedData record.

  Parameters:
    `field_2_referenceType` - One of REFERENCE_TYPE_DEFAULT_CATEGORIES REFERENCE_TYPE_DIRECT REFERENCE_TYPE_WORKSHEET REFERENCE_TYPE_NOT_USED REFERENCE_TYPE_ERROR_REPORTED

### getOptions

    public short getOptions()

  Get the options field for the LinkedData record.

### setOptions

    public void setOptions(short field_3_options)

  Set the options field for the LinkedData record.

### getIndexNumberFmtRecord

    public short getIndexNumberFmtRecord()

  Get the index number fmt record field for the LinkedData record.

### setIndexNumberFmtRecord

    public void setIndexNumberFmtRecord(short field_4_indexNumberFmtRecord)

  Set the index number fmt record field for the LinkedData record.

### getFormulaOfLink

    public LinkedDataFormulaField getFormulaOfLink()

  Get the formula of link field for the LinkedData record.

### setFormulaOfLink

    public void setFormulaOfLink(LinkedDataFormulaField field_5_formulaOfLink)

  Set the formula of link field for the LinkedData record.

### setCustomNumberFormat

    public void setCustomNumberFormat(boolean value)

  Sets the custom number format field value. true if this object has a custom number format

### isCustomNumberFormat

    public boolean isCustomNumberFormat()

  true if this object has a custom number format

  Returns:
    the custom number format field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.